# Class LineXYShape

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.XYShape
uk.ac.starlink.ttools.plot2.layer.LineXYShape

public class LineXYShape extends XYShape
XYShape for drawing lines that start at the origin and terminate at the given X,Y displacement.

Singleton class.

Since:
  15 Jan 2015
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final LineXYShape`
`INSTANCE`
Instance of this class.
`static final LineXYShape`
`INSTANCE_SKIP1`
Instance of this class that omits the final pixel in each line.
`static BasicStroke`
`STROKE`
Stroke effectively used by this shape.

### Fields inherited from class XYShape

`POINT`

## Method Summary

Modifier and Type
Method
Description
`protected Glyph`
`createGlyph(short x, short y)`
Constructs a new glyph with given coordinates.

### Methods inherited from class XYShape

`createIcon, getGlyph, getName, isCached, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INSTANCE

public static final LineXYShape INSTANCE
Instance of this class.

### INSTANCE_SKIP1

public static final LineXYShape INSTANCE_SKIP1
Instance of this class that omits the final pixel in each line.

### STROKE

public static BasicStroke STROKE
Stroke effectively used by this shape.

## Method Details

### createGlyph

protected Glyph createGlyph(short x, short y)
Description copied from class: `XYShape`
Constructs a new glyph with given coordinates.

Specified by:
  `createGlyph` in class `XYShape`
Parameters:
  `x` - X value
  `y` - Y value
Returns:
  new glyph